Bug 490276 - Compiz garbles windows/panels and freezes upon some gnome GUI actions (w/ nvidia)
Compiz garbles windows/panels and freezes upon some gnome GUI actions (w/ nvi...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-14 13:03 EDT by sjboot
Modified: 2009-06-12 05:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.7.8-18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-12 05:51:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xsession-errors... interesting bit near the bottom (3.50 KB, text/plain)
2009-03-14 13:03 EDT, sjboot
no flags Details

  None (edit)
Description sjboot 2009-03-14 13:03:59 EDT
Created attachment 335215 [details]
xsession-errors... interesting bit near the bottom

Description of problem:
With Desktop Effects enabled, the system works for a while, although on some actions the GUI freezes, looks garbled, and the mouse stops moving. After a while (if I'm lucky) X dies and gdm comes up with the login screen. Otherwise I need to hard-reboot. 
If the gnome-panel is about 45 pixels high, when logging into gnome the screen freezes instantly upon loading gnome (suspected trigger: gnome-panel). 

Version-Release number of selected component (if applicable): 
0.7.8-7

How reproducible:
Hit-and-miss, although the major culprits when this happens are (in order of frequency, most frequent first)...

1. Resizing the gnome-panel (right-click -> properties -> size).
2. Opening gnome-volume-control and moving it around the screen.
3. Opening gpk-application (package manager) and searching on something. 
4. Right-clicking an icon on the desktop to get a context menu. 

...however, I can reproduce this within a minute of login by doing item #1 above. 

Steps to Reproduce (#1):
1. Enable Desktop Effects
2. Right-click a gnome-panel and select Properties
3. Increase the size upwards from the default (24 pixels)
  
Actual results:
All panels, apps, menus etc apart from the desktop background become garbled - black with elements of the display randomly appearing. Initially mouse frozen, although after a minute I can move the mouse, but nothing responds to clicks/drags or random key-presses. 

Expected results:
gnome-panel increases in size without compiz freezing the whole GUI. 

Additional info:
gnome-panel version 2.24.3-1
akmod-nvidia-180.29-1 (also tried pre-compiled kmod)

From lspci:
02:00.0 VGA compatible controller: nVidia Corporation GeForce 8200 (rev a2)

Couldn't see anything interesting in the Xorg.0.log - I can reproduce problem and attach log if needed.
Comment 1 Matěj Cepl 2009-04-23 12:22:30 EDT
(In reply to comment #0)
> Couldn't see anything interesting in the Xorg.0.log - I can reproduce problem
> and attach log if needed.  

Do so, but please not with nvidia binary-only driver. It makes very different 3D environment which we cannot influence and support. Please check with https://fedoraproject.org/wiki/Xorg/3rd_Party_Video_Drivers to make sure your system is clear of remnainsts of binary only drivers.
Comment 2 sjboot 2009-06-12 05:51:46 EDT
Seems to have been fixed somewhere along the line in the new Fedora 11 with the following versions: 

kernel-2.6.29.4-167.fc11.x86_64
compiz-0.7.8-18
akmod-nvidia-180.51-1
gnome-panel-2.26.1-2

Also deleted xorg.conf and made new one with nvidia-config-display.

As far as I can see this has now been fixed (thank you) and you can close this ticket. 
Recommendation to anyone else with same issue: upgrade to versions above.

Note You need to log in before you can comment on or make changes to this bug.